/**
 * ParticipationHolder2.java
 *
 * File generated from the medication2::ParticipationHolder2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationHolder2.
 *
 */

@XmlType(name = "ParticipationHolder")
@XmlEnum
@XmlRootElement(name = "ParticipationHolder2")
public enum ParticipationHolder2 {
	@XmlEnumValue("HLD")
	HLD("HLD");
	
	private final String value;

    ParticipationHolder2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationHolder2 fromValue(String v) {
        for (ParticipationHolder2 c: ParticipationHolder2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
